> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/88.-mutacion-exportar-el-mapa-de-zonas-como-shapefile-zip.md).

# 88. Mutación: exportar el Mapa de Zonas como Shapefile ZIP

Generar un archivo zip con el "ZonesMap" seleccionado como shapefile.

{% hint style="info" %}
El archivo consiste en archivos \*.shp, \*.shx, \*.prj, \*.dbf en EPSG:4326.
{% endhint %}

### 1. Preparación

* El atributo `vectorAnalysisMaps` contiene un arreglo de objetos ZonesMaps (VectorAnalysisMaps) que se exportarán. Cada uno de estos objetos incluye un par de `fieldUuid` (vínculo al Field seleccionado) y `uuid` (vínculo al ZonesMap seleccionado).
* El atributo booleano `asMultiGeometry` determina si las zonas se exportan como `Polígonos` o `MultiPolígonos` (cuando está establecido en `true` ).
* El atributo booleano `onlyProductColumns` especifica si solo se deben incluir en el shapefile las columnas con productos (RX) (cuando `true`). De lo contrario, se incluirán todas las métricas estadísticas y los IDs de zona como columnas.
* El atributo `archiveName` contiene el nombre del archivo zip generado.
* El atributo `filePostfix` permite añadir sufijos personalizados a los archivos y al archivo exportado.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Descargar el archivo generado

Después de la ejecución de la consulta GraphQL, es posible descargarlo usando `curl` o un enfoque similar.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/88.-mutacion-exportar-el-mapa-de-zonas-como-shapefile-zip.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
